View Issue Details

IDProjectCategoryView StatusLast Update
0003416MediaMonkey 4Main Panel/Toolbars/Menuspublic2008-12-06 15:22
Reporterrusty Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Fixed in Version3.1 
Summary0003416: Filters & Views: per filter Track Browser config
DescriptionOriginally suggested by Jiri in 0000553:

Track Browser could benefit from this implementation - e.g. it would make sense to show Composer, Conductor and Year columns in case of Classical filter. A possible implementation:
On View tab of filter configuration add:
[ ] Custom Track Browser fields {shown for filters, not for the default view}
  Field 1: _Artist_____ [v]
  Field 2: _Album______ [v]
  Field 3: _Genre______ [v]

I would suggest that the 'View' tab is full and that there's no room for the above config. Thus, the following:

------------------------------------------------------------
Filter & View Options
------------------------------------------------------------
 Name: _______________________________
------------------------------------------------------------
| Criteria | View | Track Browser | Player |
 -----------------------------------------------------------
 | [ ] Customize Track Browser
 |--Choose Columns:-------------------------------------
 | Column 1: _Artist_^
 | Column 2: _Album_^
 | Column 3: _Genre_^
 |-------------------------------------------------------
------------------------------------------------------------
                                           [OK] [Cancel]
------------------------------------------------------------
Tagsdoc_help
Fixed in build1185

Relationships

child of 0000553 closedpetr Enable Basic Tree / Column customization 

Activities

rusty

2007-08-21 15:54

administrator   ~0010229

As suggested by Jiri, the following might be better:

------------------------------------------------------------
Filter & View Options
------------------------------------------------------------
 Name: _______________________________
------------------------------------------------------------
| Criteria | View | [Options] |
 -----------------------------------------------------------
 |-[ ] Customize Track Browser---------------------------
 | --Choose Columns:-------------------------------------
 | Column 1: _Artist_^
 | Column 2: _Album_^
 | Column 3: _Genre_^
 |-------------------------------------------------------

 |-Player Options----------------------------------------
 | [ ] Enable Bookmarking
 | [ ] Ignore Shuffle
 | [ ] Disable Crossfading
 |-------------------------------------------------------
------------------------------------------------------------
                                           [OK] [Cancel]
------------------------------------------------------------

petr

2008-07-30 20:15

developer   ~0014432

Fixed in 1185

stephen_platt

2008-12-06 15:22

developer   ~0015458

Verified 1201